I am unable to insert a driver in kernel 3.3.5 I get the following error: insmod: not configured to support older kernels

I have built the driver for the right kernel version.
I created a rootfs with latest busybox version and tried inserting the module. But got the same error again. I am able to insert the same driver for 2.6 kernel versions.
Does the latest busybox version support kernel 3.3.5? or
busybox/insmod has to be updated for kernel 3.3.5?